﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master"   AutoEventWireup="true" CodeBehind="stockZoom.aspx.cs" Inherits="WebSampleBrowser.Chart.stockZoom" %>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <script type="text/javascript" src="../Scripts/ChartData.js"></script>
    
    <ej:Chart ID="container" OnClientLoad="chartLoad" IsResponsive="true" Height="400" OnClientTrackToolTip="trackballTooltip" runat="server">
        <PrimaryXAxis Title-Text="Date" ValueType="Datetime" LabelFormat="dd, MMM yyyy" LabelIntersectAction="Trim">
            <MajorGridLines Visible="false" />
        </PrimaryXAxis>
        <PrimaryYAxis LabelFormat="${value}" Title-Text="Price">
            <MajorGridLines Visible="false" />
        </PrimaryYAxis>
        <CommonSeriesOptions Type="Area" EnableAnimation="true"></CommonSeriesOptions>
        <Series>
            <ej:Series Name="India" XName="XValue" YName="YValue" Fill="rgba(4, 95, 242,0.5)">
                <Border Width="2" Color="#045ff2" />
            </ej:Series>
         </Series>
        <Legend Visible="false" />
        <Title Text="Stock Price History" />
        <Crosshair Visible="true" Type="Trackball"></Crosshair>
    </ej:Chart>
    <ej:DatePicker ID="datepick" runat="server" OnLoad="datePickLoad" ClientSideOnSelect="changeStartDate" Width="104" Height="20"></ej:DatePicker>
   <%-- <ej:DatePicker ID="datepick2" runat="server" ClientSideOnSelect="changeEndDate" Width="104" Height="20"></ej:DatePicker>
   --%> <ej:RangeNavigator ID="scrollcontent" runat="server" EnableDeferredUpdate="true" IsResponsive="true" onClientSideLoad="loadingdata" onClientSideRangeChanged="onchartloaded">
        <SizeSettings Height="100" />
        <SelectedRangeSettings Start="new Date(endDate.getFullYear(), endDate.getMonth()-12, endDate.getDate()).toLocaleString()" End="endDate.toLocaleString()" />
        <LabelSettings>
            <HigherLevel Visible="true"></HigherLevel>
            <LowerLevel Visible="false" IntervalType="Quarters"></LowerLevel>
        </LabelSettings>
        <NavigatorStyleSettings ThumbColor="#3166bc" UnselectedRegionColor="rgba(4, 95, 242,0.5)"></NavigatorStyleSettings>
        <Series>
            <ej:Series Name="Product A" EnableAnimation="false" Type="Line" Fill="rgba(4, 95, 242,0.5)"></ej:Series>
        </Series>
    </ej:RangeNavigator>
    
    <script>
        Date.prototype.subMonths = function (month) {
            var dat = new Date(this.valueOf())
            dat = new Date(dat.getFullYear(), dat.getMonth() - month, dat.getDate());
            return dat;
        }

        function datePickLoad(args) {
            debugger
        }

        function changeStartDate(sender) {
            var rangeobj = $("#LayoutSection_ControlsSection_scrollcontent").data("ejRangeNavigator");
            rangeobj.model.selectedRangeSettings.start = sender.value;
            rangeobj.redraw();
        }

        function changeEndDate(sender) {
            var rangeobj = $("#scrollcontent").data("ejRangeNavigator");
            rangeobj.model.selectedRangeSettings.end = sender.value;
            rangeobj.redraw();
        }

        var rangeNavigator;
        function loadingdata(sender) {
            datePicker1 = $("#datepick").data("ejDatePicker");
            datePicker2 = $("#datepick2").data("ejDatePicker");;
            rangeNavigator = $("#scrollcontent").ejRangeNavigator("instance");
            sender.model.series[0].dataSource = allYearData().Open;
            sender.model.series[0].xName = "XValue";
            sender.model.series[0].yName = "YValue";
        }

        function onchartloaded(sender) {
            var chartobj = $("#container").data("ejChart");
            if (chartobj != null) {
                chartobj.model.primaryXAxis.zoomPosition = sender.zoomPosition;
                chartobj.model.primaryXAxis.zoomFactor = sender.zoomFactor;
                datePicker1.setModel({ value: sender.selectedRangeSettings.start });
                datePicker2.setModel({ value: sender.selectedRangeSettings.end });
            }
            $("#container").ejChart("redraw");

        }

        var data = allYearData().Open;
        debugger
        function chartLoad(sender) {
            var chart = $("#container").ejChart("instance");
            sender.model.series[0].dataSource = allYearData().Open;
        }

        function trackballTooltip(sender) {
            var seriesIndex = sender.data.serIndex;
            var pointIndex = sender.data.pointIndex;
            var point = sender.model.series[seriesIndex].points[pointIndex];
            sender.data.currentText = point.x.toDateString() + "<br/>" + "Stock price : " + "$" + point.y.toFixed(2);
        }

        function allYearData() {
            var currentDate = new Date();
            var series1 = [];
            var series2 = [];
            var value = 100;
            var value1 = 120;
            for (var i = 0; i < 2555; i++) {

                if (Math.random() > .5) {
                    value += Math.random();
                    value1 += Math.random();
                } else {
                    value -= Math.random();
                    value1 -= Math.random();
                }

                var point1 = { XValue: new Date(currentDate.getFullYear(), currentDate.getMonth(), (currentDate.getDate() - i)), YValue: value };
                series1.push(point1);
                if (i == 0) endDate = point1.XValue;
                if (i == 2554) startDate = point1.XValue;
            }

            data = { Open: series1 };
            return data;
        }


        $('#zoomtype').change(function () {
            var rangeobj = $("#scrollcontent").data("ejRangeNavigator");
            var value = $('#zoomtype')[0].value;
            var dateStart = rangeobj.model.selectedRangeSettings.start;
            var dateEnd = rangeobj.model.selectedRangeSettings.end;
            var currentMonth = dateEnd.getMonth();
            eDate = new Date(dateEnd);
            if (value == "1M")
                startDate = eDate.subMonths(1);
            else if (value == "3M")
                startDate = eDate.subMonths(3);
            else if (value == "6M")
                startDate = eDate.subMonths(6);
            else if (value == "YTD") {
                var currentYTD = eDate.subMonths(currentMonth);
                startDate = new Date(currentYTD.getFullYear(), 0, 1);
                rangeobj.model.selectedRangeSettings.end = endDate.toString();
            }
            else if (value == "1Y")
                startDate = eDate.subMonths(12);
            else if (value == "All") {
                rangeobj.model.selectedRangeSettings.end = endDate.toString();
                startDate = new Date(eDate.getFullYear(), eDate.getMonth(), (eDate.getDate() - 2553));
            }
            datePicker1.setModel({ value: startDate });
            datePicker2.setModel({ value: endDate });
            rangeobj.model.selectedRangeSettings.start = startDate.toString();
            rangeobj.redraw();
        });
        $("#sampleProperties").ejPropertiesPanel();
</script>     </asp:Content>
    <asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
        <div class="content-container-fluid">
        <div class="row">
           <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">
                            Zoom
                        </div>
                        <div class="col-md-3">
                            <select name="selectIndex" id="zoomtype">
                                <option value='1Y'>1 Year</option>
                                <option value="1M">1 Month</option>
                                <option value="3M">3 Months</option>
                                <option value="6M">6 Months</option>
                                <option value='YTD'>Year Till Date</option>
                                <option value='All'>All</option>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            Start Date
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" id="datepick"></input>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            End Date
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" id="datepick2"></input>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
    
    
</asp:Content>
